org.apache.hc.client5.http.cookie

## Enum CookieSpecs

- java.lang.Object
- - java.lang.Enum<CookieSpecs>
  - - org.apache.hc.client5.http.cookie.CookieSpecs

All Implemented Interfaces:
  Serializable, Comparable<CookieSpecs>

    public enum CookieSpecs
    extends Enum<CookieSpecs>

Supported cookie specifications.

Since:
  4.3

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`IGNORE_COOKIES` The policy that ignores cookies.
`STANDARD` The RFC 6265 compliant policy (interoprability profile).
`STANDARD_STRICT` The RFC 6265 compliant policy (strict profile).

### Field Summary

Fields
`String` `ident`

### Method Summary

Methods
`static CookieSpecs` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CookieSpecs[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### STANDARD

    public static final CookieSpecs STANDARD

The RFC 6265 compliant policy (interoprability profile).

#### STANDARD_STRICT

    public static final CookieSpecs STANDARD_STRICT

The RFC 6265 compliant policy (strict profile).

Since:
  4.4

#### IGNORE_COOKIES

    public static final CookieSpecs IGNORE_COOKIES

The policy that ignores cookies.

### Field Detail

#### ident

    public final String ident

### Method Detail

#### values

    public static CookieSpecs[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CookieSpecs c : CookieSpecs.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CookieSpecs valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null